CFPRIME HLINE                                                           HLINE       1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE  HLINE                                                 HLINE       3
CD -------------------------------------------------------------------  HLINE       4
CD                                                                      HLINE       5
CD              *****     HLINE   ROUTINE   *****                       HLINE       6
CD                                                                      HLINE       7
CD -------------------------------------------------------------------  HLINE       8
CD                                                                      HLINE       9
CD       PURPOSE:  Controls the calculation of history terms for        HLINE      10
CD                 line models.                                         HLINE      11
CD                                                                      HLINE      12
CD                                                                      HLINE      13
CD       DEFINITION OF LOCAL VARIABLES:                                 HLINE      14
CD                 I      - 'do' loop index.                            HLINE      15
CD                 JPOSN   -  storage position for dc information.      HLINE      16
CD                                                                      HLINE      17
CD                                                                      HLINE      18
CD       SUBROUTINES REQUIRED:  HTYRL, HTYRLCD                          HLINE      19
CD                                                                      HLINE      20
CD -------------------------------------------------------------------  HLINE      21
      INCLUDE 'PARX.INS'                                                HLINE      22
      INCLUDE 'GRDC01.INS'                                              HLINE      23
      INCLUDE 'UDCJ.INS'                                                HLINE      24
C                                                                       HLINE      25
C---------------------------------------------------------------------  HLINE      26
C                                                                       HLINE      27
      DO 20 I = 1, ILDC                                                 HLINE      28
         IF(IDCL(I) .NE. 0)THEN                                         HLINE      29
C                                                                       HLINE      30
            JPOSN = IDCL(I)                                             HLINE      31
            IF(LINTYP(JPOSN).EQ.'RL')THEN                               HLINE      32
C                                                                       HLINE      33
               CALL HTYRL (JPOSN)                                       HLINE      34
C                                                                       HLINE      35
            ELSEIF(LINTYP(JPOSN).EQ.'RLC')THEN                          HLINE      36
C                                                                       HLINE      37
               CALL HTYRLC (JPOSN)                                      HLINE      38
C                                                                       HLINE      39
            END IF                                                      HLINE      40
C                                                                       HLINE      41
        END IF                                                          HLINE      42
20    CONTINUE                                                          HLINE      43
C                                                                       HLINE      44
C                                                                       HLINE      45
C---------------------------------------------------------------------  HLINE      46
C                                                                       HLINE      47
      RETURN                                                            HLINE      48
C                                                                       HLINE      49
C---------------------------------------------------------------------  HLINE      50
C                                                                       HLINE      51
      END                                                               HLINE      52
